import BaseNormalizer from '~/services/serializer/normalizer/baseNormalizer'
import { QUERY_TYPE } from '~/types/enums'

class DummyNormalizer extends BaseNormalizer {}

describe('support()', () => {
  it('should trow an error if support doesnt defined in DummyNoramlizer', () => {
    expect(() => DummyNormalizer.support(QUERY_TYPE.ENUM)).toThrowError('Not implemented')
  })
})
